Library Version 18.1.40

Db::get_re_source()
Prev | Chapter 2. The Db Handle | Next

## Db::get_re_source()

    #include <db_cxx.h>

    int
    Db::get_re_source(const char **sourcep);

The `Db::get_re_source()` method returns the source file used by the Recno access method. This file is configured for the Recno access method using the Db::set_re_source() method.

The `Db::get_re_source()` method may be called only after the database has been opened.

The `Db::get_re_source()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### sourcep

The `Db::get_re_source()` method returns a reference to the source file in sourcep.

### Class

Db

### See Also

Database and Related Methods, Db::set_re_source()

Prev | Up | Next
Db::get_re_pad() | Home | Db::get_slices()